<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::structural_svm_object_detection_problem&lt; image_scanner_type, image_array_type &gt;::init_scanners_helper Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1structural__svm__object__detection__problem.html">structural_svm_object_detection_problem</a></li><li class="navelem"><a class="el" href="structdlib_1_1structural__svm__object__detection__problem_1_1init__scanners__helper.html">init_scanners_helper</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structdlib_1_1structural__svm__object__detection__problem_1_1init__scanners__helper-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::structural_svm_object_detection_problem&lt; image_scanner_type, image_array_type &gt;::init_scanners_helper Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8beeda448fd9abb3ee1355044c7df028"><td class="memItemLeft" align="right" valign="top"><a id="a8beeda448fd9abb3ee1355044c7df028"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>init_scanners_helper</b> (<a class="el" href="classdlib_1_1array.html">array</a>&lt; image_scanner_type &gt; &amp;scanners_, const image_array_type &amp;images_)</td></tr>
<tr class="separator:a8beeda448fd9abb3ee1355044c7df028"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6548d12b3b11c8de70bbbc61dce182e5"><td class="memItemLeft" align="right" valign="top"><a id="a6548d12b3b11c8de70bbbc61dce182e5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long i) const</td></tr>
<tr class="separator:a6548d12b3b11c8de70bbbc61dce182e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a66926b672e97d8b0eddb9039bf054f00"><td class="memItemLeft" align="right" valign="top"><a id="a66926b672e97d8b0eddb9039bf054f00"></a>
<a class="el" href="classdlib_1_1array.html">array</a>&lt; image_scanner_type &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>scanners</b></td></tr>
<tr class="separator:a66926b672e97d8b0eddb9039bf054f00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb9f35f0afb4c43cac90a600d1a8745c"><td class="memItemLeft" align="right" valign="top"><a id="abb9f35f0afb4c43cac90a600d1a8745c"></a>
const image_array_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>images</b></td></tr>
<tr class="separator:abb9f35f0afb4c43cac90a600d1a8745c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="structural__svm__object__detection__problem_8h_source.html">structural_svm_object_detection_problem.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
